drop table dwh.cu_order_fact_summ ; 

create table dwh.cu_order_fact_summ 
    (  time_key                                 integer    not null 
    ,  prod_key                                 integer    not null 
    ,  cust_key                                 integer    not null 
    ,  vendor_key                               integer    not null 
    ,  invoice_qty                              integer    not null 
    ,  invoice_amt                              money    not null 
    ,  discount_amt                             money    not null 
    ,  constraint          pk_cu_order_fact_summ      primary key
       ( time_key 
       , prod_key 
       , cust_key 
       , vendor_key 
       )   
       on dwcufg01 
    ) 
  on dwcufg01  
;

