drop table dwh.dwcut901 ; 

create table dwh.dwcut901 
    (  invoice_num                              varchar (6)    not null 
    ,  order_date                               varchar (10)    not null 
    ,  payment_date                             varchar (10)    not null 
    ,  delivery_date                            varchar (10)    not null 
    ,  product_code                             varchar (6)    not null 
    ,  customer_code                            varchar (6)    not null 
    ,  vendor_code                              varchar (6)    not null 
    ,  invoice_amt                              money    not null 
    ,  discount_amt                             money    not null 
    ,  invoice_qty                              integer    not null 
    ,  invoice_remark                           varchar (30)    not null 
    ,  constraint          pk_dwcut901      primary key
       ( invoice_num 
       , order_date 
       , product_code 
       , customer_code 
       , vendor_code 
       )   
       on dwcufg01 
    ) 
  on dwcufg01  
;

