drop table dwh.cu_time_dim ; 

create table dwh.cu_time_dim 
    (  time_key                                 integer    not null 
    ,  level_col                                varchar (10)    not null 
    ,  dim_char_ky_fld                          varchar (30)    not null 
    ,  dim_date                                 datetime    not null 
    ,  day_no                                   integer    not null 
    ,  month_no                                 integer    not null 
    ,  quarter_no                               integer    not null 
    ,  year_no                                  integer    not null 
    ,  time_key_ag1                             integer    not null 
    ,  time_key_ag2                             integer    not null 
    ,  time_key_ag3                             integer    not null 
    ,  time_key_ag4                             integer    not null 
    ,  time_key_ag5                             integer    not null 
    ,  time_key_ag6                             integer    not null 
    ,  time_key_ag7                             integer    not null 
    ,  time_key_ag8                             integer    not null 
    ,  time_key_ag9                             integer    not null 
    ,  constraint          pk_cu_time_dim      primary key
       ( level_col 
       , dim_char_ky_fld 
       )   
       on dwcufg01 
    ) 
  on dwcufg01  
;

