drop table dwh.cu_prod_dim ; 

create table dwh.cu_prod_dim 
    (  prod_key                                 integer    not null 
    ,  level_col                                varchar (10)    not null 
    ,  dim_char_ky_fld                          varchar (30)    not null 
    ,  prod_code                                varchar (6)    not null 
    ,  prod_desc                                varchar (30)    not null 
    ,  prod_supplier                            varchar (30)    not null 
    ,  prod_expiry_date                         datetime    not null 
    ,  prod_key_ag1                             integer    not null 
    ,  prod_key_ag2                             integer    not null 
    ,  prod_key_ag3                             integer    not null 
    ,  prod_key_ag4                             integer    not null 
    ,  prod_key_ag5                             integer    not null 
    ,  prod_key_ag6                             integer    not null 
    ,  prod_key_ag7                             integer    not null 
    ,  prod_key_ag8                             integer    not null 
    ,  prod_key_ag9                             integer    not null 
    ,  constraint          pk_cu_prod_dim      primary key
       ( level_col 
       , dim_char_ky_fld 
       )   
       on dwcufg01 
    ) 
  on dwcufg01  
;

