drop table dwh.cu_cust_dim ; 

create table dwh.cu_cust_dim 
    (  cust_key                                 integer    not null 
    ,  level_col                                varchar (10)    not null 
    ,  dim_char_ky_fld                          varchar (30)    not null 
    ,  cust_code                                varchar (6)    not null 
    ,  cust_name                                varchar (30)    not null 
    ,  cust_addr_1                              varchar (30)    not null 
    ,  cust_addr_2                              varchar (30)    not null 
    ,  cust_phone                               varchar (20)    not null 
    ,  cust_birthday                            datetime    not null 
    ,  cust_household                           integer    not null 
    ,  cust_geocode                             integer    not null 
    ,  cust_sex                                 varchar (1)    not null 
    ,  cust_key_ag1                             integer    not null 
    ,  cust_key_ag2                             integer    not null 
    ,  cust_key_ag3                             integer    not null 
    ,  cust_key_ag4                             integer    not null 
    ,  cust_key_ag5                             integer    not null 
    ,  cust_key_ag6                             integer    not null 
    ,  cust_key_ag7                             integer    not null 
    ,  cust_key_ag8                             integer    not null 
    ,  cust_key_ag9                             integer    not null 
    ,  constraint          pk_cu_cust_dim      primary key
       ( level_col 
       , dim_char_ky_fld 
       )   
       on dwcufg01 
    ) 
  on dwcufg01  
;

