drop table dwh.cu_vendor_dim ; 

create table dwh.cu_vendor_dim 
    (  vendor_key                               integer    not null 
    ,  level_col                                varchar (10)    not null 
    ,  dim_char_ky_fld                          varchar (30)    not null 
    ,  vendor_code                              varchar (6)    not null 
    ,  vendor_name                              varchar (30)    not null 
    ,  vendor_addr_1                            varchar (30)    not null 
    ,  vendor_addr_2                            varchar (30)    not null 
    ,  vendor_contact_name                      varchar (30)    not null 
    ,  vendor_phone                             varchar (20)    not null 
    ,  vendor_key_ag1                           integer    not null 
    ,  vendor_key_ag2                           integer    not null 
    ,  vendor_key_ag3                           integer    not null 
    ,  vendor_key_ag4                           integer    not null 
    ,  vendor_key_ag5                           integer    not null 
    ,  vendor_key_ag6                           integer    not null 
    ,  vendor_key_ag7                           integer    not null 
    ,  vendor_key_ag8                           integer    not null 
    ,  vendor_key_ag9                           integer    not null 
    ,  constraint          pk_cu_vendor_dim      primary key
       ( level_col 
       , dim_char_ky_fld 
       )   
       on dwcufg01 
    ) 
  on dwcufg01  
;

