drop table dwh.cu_order_fact ; 

create table dwh.cu_order_fact 
    (  time_key                                 integer    not null 
    ,  prod_key                                 integer    not null 
    ,  cust_key                                 integer    not null 
    ,  vendor_key                               integer    not null 
    ,  invoice_qty                              integer    not null 
    ,  invoice_amt                              money    not null 
    ,  discount_amt                             money    not null 
    ,  product_code                             varchar (6)    not null 
    ,  customer_code                            varchar (6)    not null 
    ,  vendor_code                              varchar (6)    not null 
    ,  invoice_num                              varchar (6)    not null 
    ,  invoice_remark                           varchar (30)    not null 
    ,  order_date                               datetime    not null 
    ,  payment_date                             datetime    not null 
    ,  delivery_date                            datetime    not null 
    ,  constraint          pk_cu_order_fact      primary key
       ( time_key 
       , prod_key 
       , cust_key 
       , vendor_key 
       )   
       on dwcufg01 
    ) 
  on dwcufg01  
;

